cgGetProgramProfile(3)

NAME
cgGetProgramProfile - get a program's profile

SYNOPSIS
  #include <Cg/cg.h>
  CGprofile cgGetProgramProfile( CGprogram program );

PARAMETERS

program
    The program.

RETURN VALUES
Returns the profile enumerant associated with program.

DESCRIPTION
cgGetProgramProfile retrieves the profile enumerant currently associated with a program.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetProgramProfile was introduced in Cg 1.1.

SEE ALSO
the cgSetProgramProfile manpage, the cgGetProfile manpage, the cgGetProfileString manpage, the cgCreateProgram manpage